Debian Bug report logs - #528628
environ.7: What is meant by `Many a system'?

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: sobtwmxt@sdf.lonestar.org

Date: Thu, 14 May 2009 09:03:05 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/3.21-1

Fixed in version manpages/3.22-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#528628; Package manpages. (Thu, 14 May 2009 09:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to sobtwmxt@sdf.lonestar.org:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 14 May 2009 09:03:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: sobtwmxt@sdf.lonestar.org
To: submit@bugs.debian.org
Subject: environ.7: What is meant by `Many a system'?
Date: Thu, 14 May 2009 09:02:29 -0000 (UTC)
Package: manpages
Version: 3.21-1
Severity: normal

Quoting environ.7 BUGS, 1st paragraph:

    Clearly  there  is  a security risk here.  Many a system command has

Isn't `Many a system' bad English?





Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#528628; Package manpages. (Sat, 16 May 2009 13:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to sobtwmxt <sobtwmxt@sdf.lonestar.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sat, 16 May 2009 13:42:07 GMT) Full text and rfc822 format available.

Message #10 received at 528628@bugs.debian.org (full text, mbox):

From: sobtwmxt <sobtwmxt@sdf.lonestar.org>
To: 528628@bugs.debian.org
Subject: While at environ.7, please mention that environ[last_element]==NULL
Date: Sat, 16 May 2009 13:38:43 +0000
--- environ.7   2009-05-16 16:21:37.000000000 +0300
+++ environ.7.mod       2009-05-16 16:30:18.000000000 +0300
@@ -52,6 +52,10 @@
 This array of strings is made available to the process by the
 .BR exec (3)
 call that started the process.
+The last element of the array is a NULL pointer.
+There fore, the expression
+"\fIenviron[last_element]\fP\fB == \fP\fINULL\fP"
+is true.
 By convention these strings
 have the form "\fIname\fP\fB=\fP\fIvalue\fP".
 Common examples are:

-- 
sobtwmxt@sdf.lonestar.org
SDF Public Access UNIX System - http://sdf.lonestar.org




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#528628; Package manpages. (Tue, 19 May 2009 03:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Tue, 19 May 2009 03:18:02 GMT) Full text and rfc822 format available.

Message #15 received at submit@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: sobtwmxt@sdf.lonestar.org, 528628@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#528628: environ.7: What is meant by `Many a system'?
Date: Tue, 19 May 2009 04:12:04 +0100
On Thu, May 14, 2009 at 10:02 AM,  <sobtwmxt@sdf.lonestar.org> wrote:
> Package: manpages
> Version: 3.21-1
> Severity: normal
>
> Quoting environ.7 BUGS, 1st paragraph:
>
>    Clearly  there  is  a security risk here.  Many a system command has
>
> Isn't `Many a system' bad English?

No.  That's okay English.  Just another way of saying "Many systems",
though "many a system" is a little archaic as a construction.

Cheers,

Michael


-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
git://git.kernel.org/pub/scm/docs/man-pages/man-pages.git
man-pages online: http://www.kernel.org/doc/man-pages/online_pages.html
Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#528628; Package manpages. (Tue, 19 May 2009 03:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Tue, 19 May 2009 03:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#528628; Package manpages. (Sat, 25 Jul 2009 06:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sat, 25 Jul 2009 06:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 528628@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: sobtwmxt <sobtwmxt@sdf.lonestar.org>, 528628@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#528628: While at environ.7, please mention that environ[last_element]==NULL
Date: Sat, 25 Jul 2009 08:36:56 +0200
tags 528628 fixed-upstream
thanks

Hello,

On Sat, May 16, 2009 at 3:38 PM, sobtwmxt<sobtwmxt@sdf.lonestar.org> wrote:
> --- environ.7   2009-05-16 16:21:37.000000000 +0300
> +++ environ.7.mod       2009-05-16 16:30:18.000000000 +0300
> @@ -52,6 +52,10 @@
>  This array of strings is made available to the process by the
>  .BR exec (3)
>  call that started the process.
> +The last element of the array is a NULL pointer.
> +There fore, the expression
> +"\fIenviron[last_element]\fP\fB == \fP\fINULL\fP"
> +is true.
>  By convention these strings
>  have the form "\fIname\fP\fB=\fP\fIvalue\fP".
>  Common examples are:

I've added some words to the man page for the upcoming 3.22 release.

Cheers,

Michael

-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Watch my Linux system programming book progress to publication!
http://blog.man7.org/




Added tag(s) fixed-upstream. Request was from Michael Kerrisk <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Sat, 25 Jul 2009 06:39:05 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Mon, 27 Jul 2009 13:15:06 GMT) Full text and rfc822 format available.

Notification sent to sobtwmxt@sdf.lonestar.org:
Bug acknowledged by developer. (Mon, 27 Jul 2009 13:15:07 GMT) Full text and rfc822 format available.

Message #32 received at 528628-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 528628-close@bugs.debian.org
Subject: Bug#528628: fixed in manpages 3.22-1
Date: Mon, 27 Jul 2009 12:47:09 +0000
Source: manpages
Source-Version: 3.22-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.22-1_all.deb
  to pool/main/m/manpages/manpages-dev_3.22-1_all.deb
manpages_3.22-1.diff.gz
  to pool/main/m/manpages/manpages_3.22-1.diff.gz
manpages_3.22-1.dsc
  to pool/main/m/manpages/manpages_3.22-1.dsc
manpages_3.22-1_all.deb
  to pool/main/m/manpages/manpages_3.22-1_all.deb
manpages_3.22.orig.tar.gz
  to pool/main/m/manpages/manpages_3.22.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 528628@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 27 Jul 2009 10:45:17 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.22-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 528628 533868
Changes: 
 manpages (3.22-1) unstable; urgency=low
 .
   * New upstream version
     . Correction to clone(2) (closes: Bug#533868)
     . Improvement to environ(7) (closes: Bug#528628)
Checksums-Sha1: 
 23ee1ef13511f3b483bb423950db13b517016fc6 964 manpages_3.22-1.dsc
 cdf55d0bf6e1cc3715c37871e67e2bcb8a737ece 1596076 manpages_3.22.orig.tar.gz
 18b01d3a6b15993254395119bbbbb827e35685d9 48395 manpages_3.22-1.diff.gz
 ac7a7d5126aeff87a8c79e44176603a9caaf3501 717922 manpages_3.22-1_all.deb
 62d694a5daa0d26bf0e1e0dc30b1afc8f204369e 1558814 manpages-dev_3.22-1_all.deb
Checksums-Sha256: 
 c581aae2bcb322cfd22efa069af313bc5fdee48df7be106bd6e6d5ff98123df7 964 manpages_3.22-1.dsc
 4fe7c1a9d03b664527c478d1ff303ce8245a2e8b5503e0524fec21c430e76eb0 1596076 manpages_3.22.orig.tar.gz
 07bca5444a6fdb731793f5588d30dbc805067be147a3b21c16dd79bf75289283 48395 manpages_3.22-1.diff.gz
 21292637aae71545afe839574c87a0191fae6534b0730c7cbb32910c091eb762 717922 manpages_3.22-1_all.deb
 d92f863c37b4b17fba6cf471ebd9f68325234fb0cb20aee8bbce19daa7981af4 1558814 manpages-dev_3.22-1_all.deb
Files: 
 9c6928f60d5c933b2b3ddc71839bd1d9 964 doc important manpages_3.22-1.dsc
 409e7325188d8734a63c823fd58c7dce 1596076 doc important manpages_3.22.orig.tar.gz
 75fb2dfad56b0e3ebd2e604c74d676fb 48395 doc important manpages_3.22-1.diff.gz
 682d36fd78b811f14d85c940d685027c 717922 doc important manpages_3.22-1_all.deb
 c01e186282143d412cfb866ed648d5a5 1558814 doc optional manpages-dev_3.22-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKbYn5W5ql+IAeqTIRAjTuAJwLxdXyR3UsYau7um3CVCTLWnvf6gCaAuyn
+xobNg04uWDJIy1ze692198=
=G156
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Sep 2009 07:33:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:16:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.